package com.bonus.zlpt.company.mapper;

import com.bonus.zlpt.company.domain.MaUpOff;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
* Description: 装备上下架DAO层
* @Author 阮世耀
* @Create 2023/12/3 14:38
* @Version 1.0
*/

@Mapper
public interface MaUpOffMapper {

    int deleteByPrimaryKey(Integer id);

    int insert(MaUpOff record);

    int insertSelective(MaUpOff record);

    MaUpOff selectByPrimaryKey(Integer id);

    List<MaUpOff> selectAll(MaUpOff record);

    /**
     * 批量上架装备
     */
    int batchUpOff(List<Integer> list);

    int updateByPrimaryKeySelective(MaUpOff record);

    int updateByPrimaryKey(MaUpOff record);
}